##
##  hub.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2020 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
%define       V_hub_base  2.14.2
%define       V_hub_snap  20200801

#   package information
Name:         hub
Summary:      Github Client
URL:          http://hub.github.com/
Vendor:       Github
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Networking
License:      MIT
Version:      %{V_hub_base}.%{V_hub_snap}
Release:      20200801

#   list of sources
Source0:      http://download.openpkg.org/components/versioned/hub/hub-%{V_hub_snap}.tar.xz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, go
PreReq:       OpenPKG, openpkg >= 20160101

%description
    hub(1) is a command line tool that wraps git(1) in order to extend
    it with extra features and commands that make working with GitHub
    easier.

%track
    prog hub:release = {
        version   = %{V_hub_base}
        url       = https://github.com/github/hub/releases
        regex     = v(\d+\.\d+\.\d+)\.tar\.gz
    }
    prog hub:snapshot = {
        version   = %{V_hub_snap}
        url       = http://download.openpkg.org/components/versioned/hub/
        regex     = hub-(__VER__)\.tar\.xz
    }

%prep
    %setup -q -n hub

%build
    (   export GOPATH=`pwd`
        cd $GOPATH/src/github.com/github/hub
        go build \
            -ldflags "-X github.com/github/hub/commands.Version=%{V_hub_base}" \
            -v -o hub
    ) || exit $?

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/man/man1
    %{l_shtool} install -c -s -m 755 \
        src/github.com/github/hub/hub \
        $RPM_BUILD_ROOT%{l_prefix}/bin/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

